﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Linq;
using System.Windows.Forms;

namespace GButton {
   [System.ComponentModel.DesignerCategory("Code")]
   public class GlossyButton : Button {
      public GlossyButton() {
         Paint += GlossyButton_Paint;
      }

      private void GlossyButton_Paint(object sender, PaintEventArgs e) {
         e.Graphics.FillEllipse(Brushes.Red, new Rectangle(0, 0, 50, 25)); 
      }
   }
}
